import mods.ltt.LootTable;
/*
	Loot Table Tweaker

	http://crafttweaker.readthedocs.io/en/latest/#Mods/LootTableTweaker/LootTableTweaker/
*/

var tables as string[] = [
	"minecraft:chests/abandoned_mineshaft",
	"minecraft:chests/desert_pyramid",
	"minecraft:chests/end_city_treasure",
	"minecraft:chests/igloo_chest",
	"minecraft:chests/jungle_temple",
	"minecraft:chests/jungle_temple_dispenser",
	"minecraft:chests/nether_bridge",
	"minecraft:chests/simple_dungeon",
	"minecraft:chests/spawn_bonus_chest",
	"minecraft:chests/stronghold_corridor",
	"minecraft:chests/stronghold_crossing",
	"minecraft:chests/stronghold_library",
	"minecraft:chests/village_blacksmith",
	"minecraft:chests/woodland_mansion",
//	"minecraft:gameplay/fishing",
//	"minecraft:gameplay/fishing/fish",
//	"minecraft:gameplay/fishing/junk",
//	"minecraft:gameplay/fishing/treasure"
];

for table in tables {
	LootTable.removeTable(table);
}

mods.ltt.LootTable.removeGlobalItem("abyssalcraft:cudgel");
//import mods.thermalexpansion.CompressionDynamo;
//Experimente mit Loot Tweaker
/* 
import loottweaker.vanilla.loot.LootTables;
import loottweaker.vanilla.loot.LootTable;
import loottweaker.vanilla.loot.LootPool;

val pig = LootTables.getTable("minecraft:entities/pig");
val pigMain = pig.getPool("main");
pigMain.removeEntry("minecraft:porkchop");

val simpledungeonchest =LootTables.getTable("minecraft:chests/simple_dungeon");
val schestmain = simpledungeonchest.getPool("main");
schestmain.removeEntry("abyssalcraft:crystallized_zinc");

val lt1 =LootTables.getTableUnchecked("minecraft:chests/simple_dungeon");
val schestender = lt1.getPool("Ender IO");
schestender.removeEntry("enderio:chests/desert_pyramid");
*/

mods.jei.JEI.removeAndHide(<extrautils2:quarry>);
mods.jei.JEI.removeAndHide(<extrautils2:quarryproxy>);
recipes.remove(<rftools:builder>);
recipes.addShaped(<rftools:builder>,
 [[<minecraft:brick_block>, <galacticraftcore:basic_block_moon:4>, <minecraft:brick_block>],
  [<minecraft:redstone>, <rftools:machine_frame>, <minecraft:redstone>],
  [<minecraft:brick_block>, <minecraft:redstone>, <minecraft:brick_block>]]);
recipes.remove(<extrautils2:angelring>);
recipes.addShaped(<extrautils2:angelring>,
 [[<minecraft:glass>, <extraplanets:tier4_items:5>, <minecraft:glass>],
  [<galacticraftplanets:item_basic_asteroids>,null, <galacticraftplanets:item_basic_asteroids>],
  [<minecraft:glass>, <extraplanets:tier4_items:5>, <minecraft:glass>]]);
mods.jei.JEI.removeAndHide(<mekanismtools:glowstonepickaxe>);

     recipes.remove(<mekanismtools:glowstonesword>);	
	recipes.addShaped(<mekanismtools:glowstonesword>, [[null,<extraplanets:tier8_items:5>,null], [null,<extraplanets:tier8_items:5>,null],[<extraplanets:neptune>,<minecraft:nether_star>,<extraplanets:neptune>]]);
<mekanismtools:glowstonesword>.displayName = "Sword \"Notung\"";
mods.jei.JEI.removeAndHide(<mekanismtools:glowstonehoe>);
mods.jei.JEI.removeAndHide(<mekanismtools:glowstoneshovel>);
mods.jei.JEI.removeAndHide(<mekanismtools:glowstonepaxel>);
recipes.remove(<mekanismtools:glowstoneaxe>);
recipes.addShaped(<mekanismtools:glowstoneaxe>,
 [[<extraplanets:tier5_items:5>,<extraplanets:tier5_items:5>,null],
  [<extraplanets:tier5_items:5>,<mekanism:ingot:3>,null],
  [null,<extraplanets:wafer:5>,null]]);
<mekanismtools:glowstoneaxe>.displayName = "Franks Bloodaxe";
mods.jei.JEI.removeAndHide(<extrautils2:angelring:1>);
mods.jei.JEI.removeAndHide(<extrautils2:angelring:2>);
mods.jei.JEI.removeAndHide(<extrautils2:angelring:3>);
mods.jei.JEI.removeAndHide(<extrautils2:angelring:4>);
mods.jei.JEI.removeAndHide(<extrautils2:angelring:5>);
recipes.remove(<cyclicmagic:glowing_chorus>);
recipes.addShaped(<cyclicmagic:glowing_chorus>,
 [[<minecraft:chorus_fruit>,<minecraft:chorus_fruit>,<minecraft:chorus_fruit>],
  [<minecraft:chorus_fruit>,<extraplanets:tier4_items:5>,<minecraft:chorus_fruit>],
  [<minecraft:chorus_fruit>,<minecraft:chorus_fruit>,<minecraft:chorus_fruit>]]);

// Ab hier nderungen fr 1.5

//Rezeptnderung seit 1.56 auskommentiert, da der Planet kepler22b in der config deaktiviert wurde
//Daher existieren diese bunten Schwerter nicht mehr und dieser Code wrde beim Laden einen Fehler erzeugen.
/* recipes.remove(<extraplanets:purple_diamond_sword>);
recipes.addShaped(<extraplanets:purple_diamond_sword>,
 [[null,<extraplanets:tier6_items:5>,null],
  [null,<extraplanets:tier6_items:5>,null],
  [null,<mekanism:ingot:3>,null]]);

<extraplanets:purple_diamond_sword>.displayName="Purple Magnesium Sword";

mods.jei.JEI.removeAndHide(<extraplanets:blue_diamond_sword>);
mods.jei.JEI.removeAndHide(<extraplanets:green_diamond_sword>);
mods.jei.JEI.removeAndHide(<extraplanets:yellow_diamond_sword>);
mods.jei.JEI.removeAndHide(<extraplanets:red_diamond_sword>);
*/
   recipes.remove(<galacticraftcore:engine>);
recipes.addShaped(<galacticraftcore:engine>,
	 [[null, <minecraft:flint_and_steel>, <minecraft:stone_button>],
	  [<galacticraftcore:heavy_plating>, <galacticraftcore:canister:*>,<galacticraftcore:heavy_plating>],
	  [<nuclearcraft:alloy:15>, <galacticraftcore:air_vent>, <nuclearcraft:alloy:15>]]);
	  	
   recipes.remove(<cyclicmagic:sword_ender>);
recipes.addShaped(<cyclicmagic:sword_ender>, [[<extraplanets:tier4_items:5>, <ore:gemObsidian>, <minecraft:dragon_breath:*>], [<ore:blockDiamond>, <ore:gemObsidian>, <ore:blockDiamond>], [<minecraft:chorus_fruit>, <ore:gemObsidian>, <minecraft:chorus_fruit>]]);
   recipes.remove(<cyclicmagic:sword_slowness>);
recipes.addShaped(<cyclicmagic:sword_slowness>, [[<extraplanets:tier4_items:5>, <ore:gemObsidian>, <minecraft:dragon_breath:*>], [<ore:blockDiamond>, <ore:gemObsidian>, <ore:blockDiamond>], [<minecraft:packed_ice>, <ore:gemObsidian>, <minecraft:packed_ice>]]);
   recipes.remove(<cyclicmagic:sword_weakness>);
recipes.addShaped(<cyclicmagic:sword_weakness>, [[<extraplanets:tier4_items:5>, <ore:gemObsidian>, <minecraft:dragon_breath:*>], [<ore:blockDiamond>, <ore:gemObsidian>, <ore:blockDiamond>], [<minecraft:mycelium>, <ore:gemObsidian>, <minecraft:mycelium>]]);
	   recipes.remove(<cyclicmagic:crystal_sword>);
	recipes.addShaped(<cyclicmagic:crystal_sword>, [[null, <extraplanets:tier4_items:5>, null], [null, <ore:gemObsidian>, null], [null, <ore:gemDiamond>, null]]);
		   recipes.remove(<cyclicmagic:emerald_sword>);
		recipes.addShaped(<cyclicmagic:emerald_sword>, [[null, <enderio:item_alloy_ingot:8>, null], [null, <ore:gemEmerald>, null], [null, <ore:stickWood>, null]]);
   recipes.remove(<actuallyadditions:item_sword_emerald>);
recipes.addShaped(<actuallyadditions:item_sword_emerald>, [[<quark:biotite>], [<minecraft:emerald>], [<minecraft:iron_bars>]]);			
	   recipes.remove(<actuallyadditions:item_sword_crystal_green>);
	recipes.addShaped(<actuallyadditions:item_sword_crystal_green>, [[<quark:biotite>], [<actuallyadditions:item_crystal:4>], [<minecraft:nether_star>]]);
	    recipes.remove(<actuallyadditions:item_paxel_crystal_green>);
recipes.addShapeless(<actuallyadditions:item_paxel_crystal_green>, [<extraplanets:jupiter>, <actuallyadditions:item_pickaxe_crystal_green>, <actuallyadditions:item_sword_crystal_green>, <actuallyadditions:item_shovel_crystal_green>, <actuallyadditions:item_hoe_crystal_green>]); 	
	 recipes.remove(<mekanism:atomicdisassembler>);		
recipes.addShaped(<mekanism:atomicdisassembler>, [[<thebetweenlands:items_misc:19>, <mekanism:energytablet>, <thebetweenlands:items_misc:19>], [<mekanism:enrichedalloy>, <mekanism:atomicalloy>, <mekanism:enrichedalloy>], [null, <ore:ingotRefinedObsidian>, null]]);	
	 recipes.remove(<cyclicmagic:mattock>);		
recipes.addShaped(<cyclicmagic:mattock>, [[<enderio:item_alloy_ingot:8>, <ore:gemDiamond>, <enderio:item_alloy_ingot:8>], [null, <ore:blockQuartz>, null], [null, <ore:blockQuartz>, null]]);	

//Ender IO MK2 Rstung als beste Endgame Rstung mit Wolfram vom Pluto(Extraplanets) und Nuclearcrafts kubischem Bornitrit verknpfen
   recipes.remove(<enderio:item_end_steel_helmet>);
recipes.addShaped(<enderio:item_end_steel_helmet>, [[<nuclearcraft:gem:1>, <extraplanets:tier9_items:5>, <nuclearcraft:gem:1>], [<ore:ingotEndSteel>, <ore:skullGuardianDiode>, <ore:ingotEndSteel>]]);
   recipes.remove(<enderio:item_end_steel_chestplate>);
recipes.addShaped(<enderio:item_end_steel_chestplate>, [[<nuclearcraft:gem:1>, <ore:skullGuardianDiode>, <nuclearcraft:gem:1>], [<ore:ingotEndSteel>, <extraplanets:tier9_items:5>, <ore:ingotEndSteel>], [<ore:ingotEndSteel>, <ore:ingotEndSteel>, <ore:ingotEndSteel>]]);
   recipes.remove(<enderio:item_end_steel_leggings>);
recipes.addShaped(<enderio:item_end_steel_leggings>, [[<nuclearcraft:gem:1>, <extraplanets:tier9_items:5>, <nuclearcraft:gem:1>], [<ore:ingotEndSteel>, <ore:skullGuardianDiode>, <ore:ingotEndSteel>], [<ore:ingotEndSteel>, null, <ore:ingotEndSteel>]]);
   recipes.remove(<enderio:item_end_steel_boots>);
recipes.addShaped(<enderio:item_end_steel_boots>, [[<nuclearcraft:gem:1>, <extraplanets:tier9_items:5>, <nuclearcraft:gem:1>], [<ore:ingotEndSteel>, null, <ore:ingotEndSteel>]]);

   recipes.remove(<mekanism:jetpack>);
recipes.addShaped(<mekanism:jetpack>, [[<ore:ingotSteel>, <ore:circuitBasic>, <ore:ingotSteel>], [<ore:ingotTin>, <mekanism:gastank>.withTag({tier: 0}), <ore:ingotTin>], [null, <enderio:item_alloy_ingot:8>, null]]);

//Rezeptkonflikt gelst
   recipes.remove(<toughasnails:wool_boots>);
recipes.addShaped(<toughasnails:wool_boots>, [[<minecraft:string>, null, <minecraft:string>], [<minecraft:wool:*>, null, <minecraft:wool:*>]]);

//2.beste Rssi kommt jetzt von Nuclearcraft und ist erhltlich, wenn man auf Uranus war
   recipes.remove(<nuclearcraft:helm_boron_nitride>);
recipes.addShaped(<nuclearcraft:helm_boron_nitride>, [[<extraplanets:tier7_items:5>, <extraplanets:uranus>, <extraplanets:tier7_items:5>], [<ore:gemBoronNitride>, null, <ore:gemBoronNitride>]]);
   recipes.remove(<nuclearcraft:chest_boron_nitride>);
recipes.addShaped(<nuclearcraft:chest_boron_nitride>, [[<extraplanets:uranus>, null, <extraplanets:uranus>], [<extraplanets:tier7_items:5>, <ore:gemBoronNitride>, <extraplanets:tier7_items:5>], [<extraplanets:tier7_items:5>, <extraplanets:tier7_items:5>, <extraplanets:tier7_items:5>]]);   
   recipes.remove(<nuclearcraft:legs_boron_nitride>);
recipes.addShaped(<nuclearcraft:legs_boron_nitride>, [[<extraplanets:uranus>, <ore:gemBoronNitride>, <extraplanets:uranus>], [<extraplanets:tier7_items:5>, null, <extraplanets:tier7_items:5>], [<extraplanets:tier7_items:5>, null, <extraplanets:tier7_items:5>]]);  
   recipes.remove(<nuclearcraft:boots_boron_nitride>);
recipes.addShaped(<nuclearcraft:boots_boron_nitride>, [[<extraplanets:uranus>,null,<extraplanets:uranus>],[<extraplanets:tier7_items:5>, null, <extraplanets:tier7_items:5>], [<ore:gemBoronNitride>, null, <ore:gemBoronNitride>]]);   

//3.beste Rssi kommt jetzt von Nuclearcraft und ist erhltlich, wenn man auf Jupiter war
    recipes.remove(<nuclearcraft:helm_hard_carbon>);
recipes.addShaped(<nuclearcraft:helm_hard_carbon>, [[<extraplanets:tier5_items:5>, <ore:ingotHardCarbon>, <extraplanets:tier5_items:5>], [<ore:ingotHardCarbon>, null, <ore:ingotHardCarbon>]]);   
   recipes.remove(<nuclearcraft:chest_hard_carbon>);
recipes.addShaped(<nuclearcraft:chest_hard_carbon>, [[<extraplanets:tier5_items:5>, null, <extraplanets:tier5_items:5>], [<extraplanets:tier5_items:5>, <ore:ingotHardCarbon>, <extraplanets:tier5_items:5>], [<extraplanets:tier5_items:5>, <ore:ingotHardCarbon>, <extraplanets:tier5_items:5>]]);
   recipes.remove(<nuclearcraft:legs_hard_carbon>);
recipes.addShaped(<nuclearcraft:legs_hard_carbon>, [[<extraplanets:tier5_items:5>, <ore:ingotHardCarbon>, <extraplanets:tier5_items:5>], [<extraplanets:tier5_items:5>, null, <extraplanets:tier5_items:5>], [<extraplanets:tier5_items:5>, null, <extraplanets:tier5_items:5>]]);
   recipes.remove(<nuclearcraft:boots_hard_carbon>);
recipes.addShaped(<nuclearcraft:boots_hard_carbon>, [[<ore:ingotHardCarbon>, null, <ore:ingotHardCarbon>], [<extraplanets:tier5_items:5>, null, <extraplanets:tier5_items:5>]]);



//Cyclic Obsidian Rssi
   recipes.remove(<cyclicmagic:purple_helmet>);
recipes.addShaped(<cyclicmagic:purple_helmet>, [[<ore:gemObsidian>, <extraplanets:tier6_items:5>, <ore:gemObsidian>], [<ore:gemObsidian>, null, <ore:gemObsidian>]]);
   recipes.remove(<cyclicmagic:purple_chestplate>);
recipes.addShaped(<cyclicmagic:purple_chestplate>, [[<extraplanets:tier6_items:5>, null, <extraplanets:tier6_items:5>], [<extraplanets:tier6_items:5>, <ore:gemObsidian>, <extraplanets:tier6_items:5>], [<extraplanets:tier6_items:5>, <extraplanets:tier6_items:5>, <extraplanets:tier6_items:5>]]);
   recipes.remove(<cyclicmagic:purple_leggings>);
recipes.addShaped(<cyclicmagic:purple_leggings>, [[<extraplanets:tier6_items:5>, <ore:gemObsidian>, <extraplanets:tier6_items:5>], [<extraplanets:tier6_items:5>, null, <extraplanets:tier6_items:5>], [<extraplanets:tier6_items:5>, null, <extraplanets:tier6_items:5>]]);
recipes.remove(<cyclicmagic:purple_boots>);
recipes.addShaped(<cyclicmagic:purple_boots>, [[<ore:gemObsidian>, null, <ore:gemObsidian>], [<extraplanets:tier6_items:5>, null, <extraplanets:tier6_items:5>]]);


//Act.Additions Emeradic Rssi
//Die berstarken 6/3 boots und 9/3 pants von actually additions entfernt
  //           recipes.remove(<actuallyadditions:item_boots_crystal_green>);
   mods.jei.JEI.removeAndHide(<actuallyadditions:item_boots_crystal_green>);
   mods.jei.JEI.removeAndHide(<actuallyadditions:item_pants_crystal_green>);
   recipes.remove(<actuallyadditions:item_helm_crystal_green>);
recipes.addShaped(<actuallyadditions:item_helm_crystal_green>, [[<galacticraftplanets:item_basic_mars:2>, <galacticraftplanets:item_basic_mars:2>, <galacticraftplanets:item_basic_mars:2>], [<actuallyadditions:item_crystal:4>, null, <actuallyadditions:item_crystal:4>]]);
   recipes.remove(<actuallyadditions:item_chest_crystal_green>);	
recipes.addShaped(<actuallyadditions:item_chest_crystal_green>, [[<galacticraftplanets:item_basic_mars:2>, null, <galacticraftplanets:item_basic_mars:2>], [<galacticraftplanets:item_basic_mars:2>, <actuallyadditions:item_crystal:4>, <galacticraftplanets:item_basic_mars:2>], [<galacticraftplanets:item_basic_mars:2>, <actuallyadditions:item_crystal:4>, <galacticraftplanets:item_basic_mars:2>]]);   	

//ActAdditions Diamantine Rssi nach Mars, ausser chest
   recipes.remove(<actuallyadditions:item_boots_crystal_light_blue>);
recipes.addShaped(<actuallyadditions:item_boots_crystal_light_blue>, [[<actuallyadditions:item_crystal:2>, null, <actuallyadditions:item_crystal:2>], [<galacticraftplanets:item_basic_mars:2>, null, <galacticraftplanets:item_basic_mars:2>]]);
   recipes.remove(<actuallyadditions:item_helm_crystal_light_blue>);
recipes.addShaped(<actuallyadditions:item_helm_crystal_light_blue>, [[<actuallyadditions:item_crystal:2>, <galacticraftplanets:item_basic_mars:2>, <actuallyadditions:item_crystal:2>], [<actuallyadditions:item_crystal:2>, null, <actuallyadditions:item_crystal:2>]]);
   recipes.remove(<actuallyadditions:item_pants_crystal_light_blue>);
recipes.addShaped(<actuallyadditions:item_pants_crystal_light_blue>, [[<galacticraftplanets:item_basic_mars:2>, <actuallyadditions:item_crystal:2>, <galacticraftplanets:item_basic_mars:2>], [<galacticraftplanets:item_basic_mars:2>, null, <galacticraftplanets:item_basic_mars:2>], [<galacticraftplanets:item_basic_mars:2>, null, <galacticraftplanets:item_basic_mars:2>]]);

//Act Add. Emerald Rssi. Boots und Hose nach Jupiter
   recipes.remove(<actuallyadditions:item_pants_emerald>);
recipes.addShaped(<actuallyadditions:item_pants_emerald>, [[<minecraft:emerald>, <extraplanets:tier5_items:5>, <minecraft:emerald>], [<minecraft:emerald>, null, <minecraft:emerald>], [<minecraft:emerald>, null, <minecraft:emerald>]]);
   recipes.remove(<actuallyadditions:item_boots_emerald>);
recipes.addShaped(<actuallyadditions:item_boots_emerald>, [[<extraplanets:tier5_items:5>, null, <extraplanets:tier5_items:5>], [<minecraft:emerald>, null, <minecraft:emerald>]]);   
//Helm und Brustplatte hinter den Enderdrachen bringen
   recipes.remove(<actuallyadditions:item_helm_emerald>);
recipes.addShaped(<actuallyadditions:item_helm_emerald>, [[<minecraft:emerald>, <enderio:item_alloy_ingot:8>, <minecraft:emerald>], [<minecraft:emerald>, null, <minecraft:emerald>]]);
   recipes.remove(<actuallyadditions:item_chest_emerald>);		
recipes.addShaped(<actuallyadditions:item_chest_emerald>, [[<minecraft:emerald>, null, <minecraft:emerald>], [<minecraft:emerald>, <enderio:item_alloy_ingot:8>, <minecraft:emerald>], [<minecraft:emerald>, <minecraft:emerald>, <minecraft:emerald>]]);

//Obsidian Armor von Mekanism verfgbar ab Venus oder Merkur
   recipes.remove(<mekanismtools:obsidianchestplate>);		
recipes.addShaped(<mekanismtools:obsidianchestplate>, [[<extraplanets:tier4_items:5>, null, <extraplanets:tier4_items:5>], [<ore:ingotRefinedObsidian>, <minecraft:nether_star>, <ore:ingotRefinedObsidian>], [<ore:ingotRefinedObsidian>, <ore:ingotRefinedObsidian>, <ore:ingotRefinedObsidian>]]);
   recipes.remove(<mekanismtools:obsidianhelmet>);
recipes.addShaped(<mekanismtools:obsidianhelmet>, [[<ore:ingotRefinedObsidian>, <ore:ingotRefinedObsidian>, <ore:ingotRefinedObsidian>], [<extraplanets:tier4_items:5>, null, <extraplanets:tier4_items:5>]]);
   recipes.remove(<mekanismtools:obsidianboots>);
recipes.addShaped(<mekanismtools:obsidianboots>, [[<ore:ingotRefinedObsidian>, null, <ore:ingotRefinedObsidian>], [<extraplanets:tier4_items:5>, null, <extraplanets:tier4_items:5>]]);
   recipes.remove(<mekanismtools:obsidianleggings>);
recipes.addShaped(<mekanismtools:obsidianleggings>, [[<extraplanets:tier4_items:5>, <extraplanets:tier4_items:5>, <extraplanets:tier4_items:5>], [<ore:ingotRefinedObsidian>, null, <ore:ingotRefinedObsidian>], [<ore:ingotRefinedObsidian>, null, <ore:ingotRefinedObsidian>]]);

//diverse Rssis von Extra Planets gelscht
 mods.jei.JEI.removeAndHide(<extraplanets:mercury_legings>);
 mods.jei.JEI.removeAndHide(<extraplanets:carbon_legings>);
 mods.jei.JEI.removeAndHide(<extraplanets:uranium_legings>);
 mods.jei.JEI.removeAndHide(<extraplanets:uranium_helmet>);
 mods.jei.JEI.removeAndHide(<extraplanets:uranium_chest>);
 mods.jei.JEI.removeAndHide(<extraplanets:uranium_boots>);
 mods.jei.JEI.removeAndHide(<extraplanets:uranium_sword>);
 
//nderungen ab 1.52

//neues Rezept fr Stufe 1 Batterie von Extra Planets

   recipes.remove(<extraplanets:electric_parts>);
recipes.addShaped(<extraplanets:electric_parts>, [[<galacticraftplanets:item_basic_mars:3>,<ore:ingotLead>,<galacticraftplanets:item_basic_mars:3>], [<ore:ingotLead>,<galacticraftplanets:item_basic_mars:3>,<ore:ingotLead>], [<galacticraftplanets:item_basic_mars:3>,<ore:ingotLead>,<galacticraftplanets:item_basic_mars:3>]]);
//Stufe 2 Batterie
   recipes.remove(<extraplanets:electric_parts:1>);
recipes.addShaped(<extraplanets:electric_parts:1>, [[<galacticraftplanets:item_basic_mars:2>,<thermalfoundation:material:131>,<galacticraftplanets:item_basic_mars:2>], [<thermalfoundation:material:131>,<galacticraftplanets:item_basic_mars:2>,<thermalfoundation:material:131>], [<galacticraftplanets:item_basic_mars:2>,<thermalfoundation:material:131>,<galacticraftplanets:item_basic_mars:2>]]);

//neues Rezept fr Atombatterie
   recipes.remove(<galacticraftplanets:atomic_battery>);
recipes.addShaped(<galacticraftplanets:atomic_battery>, [[<ore:ingotLead>, <ore:ingotLead>, <ore:ingotLead>], [<ore:ingotLead>, <galacticraftplanets:basic_item_venus:2>, <ore:ingotLead>], [<ore:ingotLead>, <ore:ingotLead>, <ore:ingotLead>]]);

   recipes.remove(<galacticraftplanets:geothermal_generator>);
recipes.addShaped(<galacticraftplanets:geothermal_generator>, [[<ore:compressedBronze>, <galacticraftplanets:atmospheric_valve>, <ore:compressedBronze>], [<galacticraftcore:aluminum_wire>, <galacticraftcore:machine>, <galacticraftcore:aluminum_wire>], [<ore:compressedBronze>, <ore:ingotLead>, <ore:compressedBronze>]]);

//3 Extra Planets Rezepte gendert, die sonst nur Uran von Extra Planets akzeptieren, aber aufgrund von unidict nicht herstellbar wre
   recipes.remove(<extraplanets:nuclear_bomb>);
recipes.addShaped(<extraplanets:nuclear_bomb>, [[<minecraft:gunpowder>, <minecraft:sand>, <minecraft:gunpowder>], [<minecraft:sand>, <ore:ingotUranium>, <minecraft:sand>], [<minecraft:gunpowder>, <minecraft:sand>, <minecraft:gunpowder>]]);
   recipes.remove(<extraplanets:fire_bomb>);
recipes.addShaped(<extraplanets:fire_bomb>, [[<ore:ingotUranium>, <extraplanets:tier5_items:10>, <ore:ingotUranium>], [<minecraft:sand>, <extraplanets:tier5_items:11>, <minecraft:sand>], [<ore:ingotUranium>, <extraplanets:tier5_items:10>, <ore:ingotUranium>]]);   
   recipes.remove(<extraplanets:basic_chemical_injector>);
recipes.addShaped(<extraplanets:basic_chemical_injector>, [[<ore:ingotUranium>, <ore:ingotUranium>, <ore:ingotUranium>], [<minecraft:piston>, <minecraft:piston>, <minecraft:piston>], [<ore:ingotUranium>, <ore:ingotUranium>, <ore:ingotUranium>]]);

//nderungen ab 1.53
   recipes.remove(<extraplanets:advanced_fuel_loader>);
recipes.addShaped(<extraplanets:advanced_fuel_loader>, [[<ore:ingotNickel>, <ore:ingotNickel>, <ore:ingotNickel>], [<ore:ingotNickel>, <galacticraftcore:fuel_loader>, <ore:ingotNickel>], [<extraplanets:tier5_items:5>, <extraplanets:tier5_items:8>, <extraplanets:tier5_items:5>]]);
   recipes.remove(<extraplanets:massive_battery:100>);
recipes.addShaped(<extraplanets:massive_battery:100>, [[<extraplanets:tier5_items:4>, <extraplanets:tier5_items:4>, <extraplanets:tier5_items:4>], [<extraplanets:advanced_battery:100>, <minecraft:nether_star>, <extraplanets:advanced_battery:100>], [<ore:ingotNickel>, <ore:ingotNickel>, <ore:ingotNickel>]]);
   recipes.remove(<extraplanets:nickel_battery>);   
recipes.addShaped(<extraplanets:nickel_battery>, [[null, <extraplanets:tier5_items:5>, null], [<ore:ingotNickel>, <ore:dustRedstone>, <ore:ingotNickel>], [<ore:ingotNickel>, <minecraft:coal>, <ore:ingotNickel>]]);   
   
//Extraplanets Magnesium darf nicht mit Nuclearcraft Magnesiumerz erzeugt werden knnen wegen dem purple Magnesium Schwert. Realisiert mit modtweaker, Redstone Ofen Rezept entfernt.
mods.thermalexpansion.RedstoneFurnace.removeRecipe(<nuclearcraft:ore:7>);
//Mekanism Lithium darf nicht mittels nuclearcraft Lithium erzeugt werden
mods.mekanism.chemical.oxidizer.removeRecipe(<gas:lithium>, <nuclearcraft:dust:6>);

//Der Basic Induktionsprovider und die Basic Induction Cell knnen nur mit Mekanism Lithium gebaut werden
   recipes.remove(<mekanism:basicblock2:3>.withTag({tier: 0}));   
recipes.addShaped(<mekanism:basicblock2:3>.withTag({tier: 0}), [[<mekanism:otherdust:4>, <mekanism:energytablet>, <mekanism:otherdust:4>], [<mekanism:energytablet>, <mekanism:energycube>.withTag({tier: 0}), <mekanism:energytablet>], [<mekanism:otherdust:4>, <mekanism:energytablet>, <mekanism:otherdust:4>]]);   
   recipes.remove(<mekanism:basicblock2:4>.withTag({tier: 0}));   
recipes.addShaped(<mekanism:basicblock2:4>.withTag({tier: 0}), [[<mekanism:otherdust:4>, <ore:circuitBasic>, <mekanism:otherdust:4>], [<ore:circuitBasic>, <mekanism:energycube>.withTag({tier: 0}), <ore:circuitBasic>], [<mekanism:otherdust:4>, <ore:circuitBasic>, <mekanism:otherdust:4>]]);

//nderungen ab 1.54
//Platinbarren von Extraplanets herstellbar gemacht, ntig fr die Stufe 10 elektrische Rakete. Weil sich das Rezept fr Platinbarren im Induktionsschmelzer
//aus unbekannten Grnden nicht lschen lsst, wird TE Platinerz nicht herstellbar durch den mekanism combiner gemacht.
//Das TE Platinerz wird in der Welt nicht generiert, somit ist das doppelte Rezept fr den induction smelter unkritisch.
//Update 1.56 Kepler22b ausgeschaltet, und damit extraplanets Platin und die elektrische Rakete. Diese nderungen werden damit unntig.
//mods.thermalexpansion.InductionSmelter.removeRecipe(<extraplanets:kepler22b:13>,<minecraft:sand>);
//mods.thermalexpansion.InductionSmelter.addRecipe(<extraplanets:tier11_items:5>*2, <minecraft:sand>, <extraplanets:kepler22b:13>, 4000,<thermalfoundation:material:865>,20);
//mods.thermalexpansion.InductionSmelter.addRecipe(<extraplanets:tier11_items:5>*3, <thermalfoundation:material:865>, <extraplanets:kepler22b:13>, 4000);
//mods.thermalexpansion.InductionSmelter.removeRecipe(<thermalfoundation:ore:6>,<thermalfoundation:material:865>);
//mods.mekanism.combiner.removeRecipe(<thermalfoundation:ore:6>);

//Anderungen 1.55
//Solar Dust von GC herstellbar machen, dadurch knnen die neuen Solarzellen hergestellt werden.
mods.thermalexpansion.Pulverizer.addRecipe(<galacticraftplanets:basic_item_venus:4>*2, <galacticraftplanets:venus:13>, 4000,<thermalfoundation:material:772>,20);
//flssiges Methan von Extra Planets kann jetzt zu Wasserstoff und Kohle verarbeitet werden.
mods.thermalexpansion.Refinery.addRecipe(<liquid:hydrogen>*300, <minecraft:coal>,<liquid:methane_fluid>*400, 5000);
//Versuch, neue Brennstoffe fr den Kompressions Dynamo von TE hinzuzufgen, schlug fehl. Problem beim mod Autor(von modtweaker) aufgemacht.
//mods.thermalexpansion.CompressionDynamo.addFuel(<liquid:hydrogen>, 200);
//mods.thermalexpansion.CompressionDynamo.addFuel(<liquid:methane_fluid>, 500);

//1.56
//Erz Verdreifachung mit mekanism fr Aluminium,Nuclearcraft Erze und andere Erze
mods.mekanism.purification.addRecipe(<nuclearcraft:ore:4>, <gas:oxygen>, <nuclearcraft:ingot:4>*3);
mods.mekanism.purification.addRecipe(<nuclearcraft:ore:6>, <gas:oxygen>, <nuclearcraft:ingot:6>*3);
mods.mekanism.purification.addRecipe(<nuclearcraft:ore:3>, <gas:oxygen>, <nuclearcraft:ingot:3>*3);
mods.mekanism.purification.addRecipe(<nuclearcraft:ore:5>, <gas:oxygen>, <nuclearcraft:ingot:5>*3);
mods.mekanism.purification.addRecipe(<nuclearcraft:ore:7>, <gas:oxygen>, <nuclearcraft:ingot:7>*3);
mods.mekanism.purification.addRecipe(<galacticraftcore:basic_block_core:7>, <gas:oxygen>, <thermalfoundation:material:132>*3);
mods.mekanism.purification.addRecipe(<galacticraftplanets:mars:3>, <gas:oxygen>, <mekanism:clump>*3);//Eisen vom Mars
mods.mekanism.purification.addRecipe(<galacticraftplanets:asteroids_block:5>, <gas:oxygen>, <mekanism:clump>*3);  //Eisen von Asteroiden		
//Korallen,Gras und Blumen von Biomes o plenty knnen jetzt zu pulped biomass verarbeitet werden
mods.thermalexpansion.Sawmill.addRecipe(<thermalfoundation:material:816>,<biomesoplenty:plant_0:*>*8,2000);
mods.thermalexpansion.Sawmill.addRecipe(<thermalfoundation:material:816>,<biomesoplenty:coral:*>*8,2000);
mods.thermalexpansion.Sawmill.addRecipe(<thermalfoundation:material:816>,<biomesoplenty:flower_0:*>*8,2000);
//neues Pulverisierer Rezept fr Aschensplitter von Extra Planets. Die normale Herstellung der Splitter mit dem Hammer von Extra
//Planets ist verbugt, weil der Hammer bei jeder Anwendung verschwindet. 
mods.thermalexpansion.Pulverizer.addRecipe(<extraplanets:tier5_items:10>*2, <extraplanets:ash_rock>, 2000, <thermalfoundation:material:771>, 40);
	
//1.60
//Kompressoren von Galacticraft bentigen nun Enderbiotit(bei 1.60 End Steel). Der Enderdrache muss nun erledigt werden, bevor es zu den Sternen geht
recipes.remove(<galacticraftcore:machine:12>);
recipes.remove(<galacticraftcore:machine2>);
recipes.addShaped(<galacticraftcore:machine:12>, [[<thermalfoundation:material:132>, <minecraft:anvil>, <thermalfoundation:material:132>], [<quark:biotite>, <thermalfoundation:material:128>, <quark:biotite>], [<thermalfoundation:material:132>, <galacticraftcore:basic_item:13>, <thermalfoundation:material:132>]]);   
recipes.addShaped(<galacticraftcore:machine2>, [[<galacticraftcore:basic_item:9>, <galacticraftcore:basic_item:7>, <galacticraftcore:basic_item:9>], [<galacticraftcore:basic_item:9>, <galacticraftcore:machine:12>, <galacticraftcore:basic_item:9>], [<galacticraftcore:aluminum_wire>, <galacticraftcore:basic_item:14>, <galacticraftcore:aluminum_wire>]]);
//Digital Miner bentigt nun Sachen aus den Betweenlands. Daher kann das betweenland nicht einfach zu Beginn mit dem miner abgegrast werden !
   recipes.remove(<mekanism:machineblock:4>);
recipes.addShaped(<mekanism:machineblock:4>, [[<thebetweenlands:life_crystal>, <thebetweenlands:green_middle_gem>, <thebetweenlands:items_misc:19>], [<mekanism:machineblock:15>, <mekanism:robit>, <mekanism:machineblock:15>], [<mekanism:teleportationcore>, <mekanism:basicblock:8>, <mekanism:teleportationcore>]]);
//Weil die TE Bgen im Vergleich zu anderen Bgen aus anderen mods sehr stark sind, werden sie erst spter erhltlich sein.Der strkste aus Platin erst nach Jupiter.
   recipes.remove(<thermalfoundation:tool.bow_invar>);
recipes.addShaped(<thermalfoundation:tool.bow_invar>, [[null, <thermalfoundation:material:162>, <minecraft:string>], [<galacticraftplanets:item_basic_mars:2>,null, <minecraft:string>], [null, <thermalfoundation:material:162>, <minecraft:string>]]);   
   recipes.remove(<thermalfoundation:tool.bow_tin>);
recipes.addShaped(<thermalfoundation:tool.bow_tin>, [[null, <thermalfoundation:material:129>, <minecraft:string>], [<enderio:item_alloy_ingot:8>,null, <minecraft:string>], [null, <thermalfoundation:material:129>, <minecraft:string>]]);      
   recipes.remove(<thermalfoundation:tool.bow_lead>);
recipes.addShaped(<thermalfoundation:tool.bow_lead>, [[null, <thermalfoundation:material:131>, <minecraft:string>], [<enderio:item_alloy_ingot:8>,null, <minecraft:string>], [null, <thermalfoundation:material:131>, <minecraft:string>]]);      
   recipes.remove(<thermalfoundation:tool.bow_silver>);
recipes.addShaped(<thermalfoundation:tool.bow_silver>, [[null, <thermalfoundation:material:130>, <minecraft:string>], [<enderio:item_alloy_ingot:8>,null, <minecraft:string>], [null, <thermalfoundation:material:130>, <minecraft:string>]]);      
   recipes.remove(<thermalfoundation:tool.bow_gold>);
recipes.addShaped(<thermalfoundation:tool.bow_gold>, [[null, <minecraft:gold_ingot>, <minecraft:string>], [<enderio:item_alloy_ingot:8>,null, <minecraft:string>], [null, <minecraft:gold_ingot>, <minecraft:string>]]);      
   recipes.remove(<thermalfoundation:tool.bow_iron>);
recipes.addShaped(<thermalfoundation:tool.bow_iron>, [[null, <minecraft:iron_ingot>, <minecraft:string>], [<galacticraftplanets:item_basic_mars:2>,null, <minecraft:string>], [null, <minecraft:iron_ingot>, <minecraft:string>]]);      
   recipes.remove(<thermalfoundation:tool.bow_electrum>);
recipes.addShaped(<thermalfoundation:tool.bow_electrum>, [[null, <thermalfoundation:material:161>, <minecraft:string>], [<galacticraftplanets:item_basic_mars:2>,null, <minecraft:string>], [null, <thermalfoundation:material:161>, <minecraft:string>]]);   
   recipes.remove(<thermalfoundation:tool.bow_bronze>);
recipes.addShaped(<thermalfoundation:tool.bow_bronze>, [[null, <thermalfoundation:material:163>, <minecraft:string>], [<galacticraftplanets:item_basic_mars:2>,null, <minecraft:string>], [null, <thermalfoundation:material:163>, <minecraft:string>]]);   
   recipes.remove(<thermalfoundation:tool.bow_nickel>);
recipes.addShaped(<thermalfoundation:tool.bow_nickel>, [[null, <thermalfoundation:material:133>, <minecraft:string>], [<extraplanets:tier4_items:5>,null, <minecraft:string>], [null, <thermalfoundation:material:133>, <minecraft:string>]]);   
   recipes.remove(<thermalfoundation:tool.bow_platinum>);
recipes.addShaped(<thermalfoundation:tool.bow_platinum>, [[null, <thermalfoundation:material:134>, <minecraft:string>], [<extraplanets:tier7_items:7>,null, <minecraft:string>], [null, <thermalfoundation:material:134>, <minecraft:string>]]);   
   recipes.remove(<thermalfoundation:tool.bow_diamond>);
recipes.addShaped(<thermalfoundation:tool.bow_diamond>, [[null, <ore:gemDiamond>, <minecraft:string>], [<extraplanets:tier6_items:5>,null, <minecraft:string>], [null, <ore:gemDiamond>, <minecraft:string>]]);   
   recipes.remove(<thermalfoundation:tool.bow_steel>);
recipes.addShaped(<thermalfoundation:tool.bow_steel>, [[null, <thermalfoundation:material:160>, <minecraft:string>], [<galacticraftplanets:item_basic_mars:2>,null, <minecraft:string>], [null, <thermalfoundation:material:160>, <minecraft:string>]]);   
   recipes.remove(<thermalfoundation:tool.bow_aluminum>);
recipes.addShaped(<thermalfoundation:tool.bow_aluminum>, [[null, <thermalfoundation:material:132>, <minecraft:string>], [<galacticraftplanets:item_basic_mars:2>,null, <minecraft:string>], [null, <thermalfoundation:material:132>, <minecraft:string>]]);   
   recipes.remove(<thermalfoundation:tool.bow_constantan>);
recipes.addShaped(<thermalfoundation:tool.bow_constantan>, [[null, <thermalfoundation:material:164>, <minecraft:string>], [<enderio:item_alloy_ingot:8>,null, <minecraft:string>], [null, <thermalfoundation:material:164>, <minecraft:string>]]);   


//Der Ender Bow von Ender IO kommt auch erst nach dem Enderdrachen:
   recipes.remove(<enderio:item_end_steel_bow>);
recipes.addShaped(<enderio:item_end_steel_bow>, [[null, <enderio:item_material:71>, <minecraft:string>], [<enderio:item_material:45>,<enderio:item_alloy_ingot:8>, <minecraft:string>], [null, <enderio:item_material:71>, <minecraft:string>]]);      
//Der Compoundbogen von extra utilities kommt nach Mars
   recipes.remove(<extrautils2:compoundbow>);
recipes.addShaped(<extrautils2:compoundbow>, [[null, <extrautils2:opinium:8>, <minecraft:string>], [<galacticraftplanets:item_basic_mars:2>,null, <minecraft:string>], [null, <extrautils2:opinium:8>, <minecraft:string>]]);   

//Bevor der Enderdrache angegangen werden kann, muss erst etwas im betweenland getan werden.
//Dafr wird das Rezept fr Enderaugen gendert:
      recipes.remove(<minecraft:ender_eye>);
recipes.addShapeless(<minecraft:ender_eye>, [<thebetweenlands:octine_ingot>, <minecraft:ender_pearl>, <minecraft:blaze_powder>]);
//Die Rakete Stufe 5(konkret die Nase davon) bentigt zum Bau nun Ethaxium, welches man durch Abyssalcraft bekommt.
   recipes.remove(<extraplanets:nose_cone_tier5>);
recipes.addShaped(<extraplanets:nose_cone_tier5>, [[null, <abyssalcraft:ethaxiumingot>,null], [null,<extraplanets:tier5_items:3>,null], [<extraplanets:tier5_items:3>,<thebetweenlands:octine_ingot>,<extraplanets:tier5_items:3>]]);   
//tier 7 booster gendert, so dass man wirklich nach Uranus muss, um die tier 7 Rakete bauen zu knnen.
   recipes.remove(<extraplanets:tier7_items:1>);
recipes.addShaped(<extraplanets:tier7_items:1>, [[<extraplanets:tier7_items:4>, <extraplanets:uranus>,<extraplanets:tier7_items:4>], [<extraplanets:tier7_items:4>,<galacticraftcore:fuel_canister_partial:1>,<extraplanets:tier7_items:4>], [<extraplanets:tier7_items:3>,<galacticraftcore:air_vent>,<extraplanets:tier7_items:3>]]);   
//Kristallschwert Rezept gendert, damit man es frher bekommt, nach den Asteroiden
   recipes.remove(<extraplanets:crystal_sword>);
recipes.addShaped(<extraplanets:crystal_sword>, [[null, <galacticraftplanets:item_basic_asteroids>,null], [null, <galacticraftplanets:item_basic_asteroids>,null], [null, <ore:stickWood>,null]]);   
//Abyssalcraft refined coralium sword nach Enderdrachen oder wenigstens mit Enderaugen
   recipes.remove(<abyssalcraft:corsword>);
recipes.addShaped(<abyssalcraft:corsword>, [[null, <abyssalcraft:cingot>,null], [null, <enderio:item_alloy_ingot:8>,null], [null, <ore:stickWood>,null]]);   
//Extraplanets Wolframschwert schon nach Jupiter erhltlich, sptestens danach gibt es eh die besseren Abyssalcraft Schwerter
   recipes.remove(<extraplanets:tungsten_sword>);
recipes.addShaped(<extraplanets:tungsten_sword>, [[null, <extraplanets:tier5_items:5>,null], [null, <extraplanets:jupiter>,null], [null, <ore:stickWood>,null]]);   
//Extra Planets Crystal Leggings nach Jupiter
   recipes.remove(<extraplanets:crystal_legings>);
recipes.addShaped(<extraplanets:crystal_legings>, [[<extraplanets:tier5_items:5>, <extraplanets:jupiter>,<extraplanets:tier5_items:5>], [<extraplanets:tier5_items:5>,null,<extraplanets:tier5_items:5>], [<extraplanets:tier5_items:5>,null,<extraplanets:tier5_items:5>]]);   
//Zink Kristall kann durch Transmutation mit Abyssalcraft in Extra Planets Zinkbarren umgeformt werden
//Die Zink Kristalle selbst erhlt man durch dungeon chests. Dies ist unerwnscht. Kritische Rezepte mit Zinkbarren werden daher gendert.
//Man knnte die Transmutationen auch aus JEI ausblenden, dann wren aber alle unsichtbar, deshalb lasse ich den betreffenden Code auskommentiert:
//mods.jei.JEI.removeAndHide(<abyssalcraft:crystal:24>);
//mods.jei.JEI.hideCategory("abyssalcraft.transmutation");
//Zink Hose nach Jupiter, Zink wrde man unter Umstnden jetzt durch Abyssalcraft bekommen
   recipes.remove(<extraplanets:zinc_legings>);
recipes.addShaped(<extraplanets:zinc_legings>, [[<extraplanets:tier8_items:5>, <extraplanets:jupiter>,<extraplanets:tier8_items:5>], [<extraplanets:tier8_items:5>,null,<extraplanets:tier8_items:5>], [<extraplanets:tier8_items:5>,null,<extraplanets:tier8_items:5>]]);   
//Zink Schwert nach Asteroiden
   recipes.remove(<extraplanets:zinc_sword>);
recipes.addShaped(<extraplanets:zinc_sword>, [[null, <galacticraftplanets:item_basic_asteroids>,null], [null, <extraplanets:tier8_items:5>,null], [null, <ore:stickWood>,null]]);   

//1.61
//Der Pulverisierer produziert nun Sulfur anstatt normalem Schwefel aus Sulfur Ore
mods.thermalexpansion.Pulverizer.removeRecipe(<thebetweenlands:sulfur_ore>);
mods.thermalexpansion.Pulverizer.addRecipe(<thebetweenlands:items_misc:18>*3, <thebetweenlands:sulfur_ore>, 4000);
//The Ender MK2 erst nach Saturn erhltlich, hat 14 dmg bei energetisch 5
   recipes.remove(<enderio:item_end_steel_sword>);
recipes.addShaped(<enderio:item_end_steel_sword>, [[null, <enderio:item_alloy_ingot:8>,null], [null, <extraplanets:tier6_items:5>,null], [null, <enderio:item_material:71>,null]]);   

//1.62
//fixed recipe conflict for rustic rope
   recipes.remove(<rustic:rope>);
recipes.addShaped(<rustic:rope>, [[null, <minecraft:string>,null], [null, <rustic:crop_stake>,null], [null, <minecraft:string>,null]]);
//changed recipes for cyclics speed charm and fire charm. They are now obtainable after Mars
   recipes.remove(<cyclicmagic:charm_speed>);
recipes.addShaped(<cyclicmagic:charm_speed>, [[<minecraft:nether_wart>,null,<minecraft:emerald>], [<galacticraftplanets:item_basic_mars:2>, <minecraft:diamond>,null], [<quark:biotite>, <galacticraftplanets:item_basic_mars:2>,<minecraft:nether_wart>]]);
   recipes.remove(<cyclicmagic:charm_fire>);
recipes.addShaped(<cyclicmagic:charm_fire>, [[<minecraft:nether_wart>,null,<minecraft:blaze_rod>], [<galacticraftplanets:item_basic_mars:2>, <minecraft:diamond>,null], [<quark:biotite>, <galacticraftplanets:item_basic_mars:2>,<minecraft:nether_wart>]]);
//Da in 1.62 die meisten der loot chests gelscht werden(zu viele overpowered endgame Sachen enthalten)
//werden neue Rezepte hinzugefgt, die sonst nur in den loot chests enthalten waren.
//Rezept fr summoning pendulum hinzugefgt
recipes.addShaped(<randomthings:summoningpendulum>, [[null, <quark:biotite>,null], [null, <nuclearcraft:alloy:6>,null], [<minecraft:obsidian>, <nuclearcraft:alloy:6>,<minecraft:obsidian>]]);
//magic bean von random things gelscht(gibt goldene Eier fr gold for free=overpowered
recipes.remove(<randomthings:beans:2>);
mods.jei.JEI.removeAndHide(<randomthings:beans:2>);
//Spectre Coils und Charger gelscht
mods.jei.JEI.removeAndHide(<randomthings:spectrecoil_number>);
mods.jei.JEI.removeAndHide(<randomthings:spectrecoil_normal>);
mods.jei.JEI.removeAndHide(<randomthings:spectrecoil_redstone>);
mods.jei.JEI.removeAndHide(<randomthings:spectrecoil_ender>);
mods.jei.JEI.removeAndHide(<randomthings:spectrecoil_genesis>);
mods.jei.JEI.removeAndHide(<randomthings:spectrecharger>);
mods.jei.JEI.removeAndHide(<randomthings:spectrecharger:1>);
mods.jei.JEI.removeAndHide(<randomthings:spectrecharger:2>);
mods.jei.JEI.removeAndHide(<randomthings:spectrecharger:3>);
//Infinity drill Rezept fr industrial foregoing
   recipes.remove(<industrialforegoing:infinity_drill>);
recipes.addShaped(<industrialforegoing:infinity_drill>, [[null,<minecraft:iron_block>,<minecraft:diamond_block>], [<industrialforegoing:pink_slime_ingot>, <thebetweenlands:items_misc:19>,<minecraft:iron_block>], [<industrialforegoing:pink_slime_ingot>, <industrialforegoing:black_hole_tank>,null]]);
//The Ender erst nach Jupiter erhltlich
   recipes.remove(<enderio:item_dark_steel_sword>);
recipes.addShaped(<enderio:item_dark_steel_sword>, [[null,<enderio:item_alloy_ingot:6>,null], [null, <enderio:item_alloy_ingot:6>,null], [null, <extraplanets:jupiter:2>,null]]);


//1.64
//Stone AIOT from actually additions harder to get because of its relatively strong dpm.
   recipes.remove(<actuallyadditions:stone_paxel>);
recipes.addShaped(<actuallyadditions:stone_paxel>, [[<minecraft:stone_axe>,<minecraft:stone_pickaxe>,<minecraft:stone_shovel>], [<minecraft:stone_sword>, <minecraft:stone_hoe>,<minecraft:emerald>], [null, null,null]]);
//removed recipe for Cyclics heart container. They can now received by completing quests
mods.jei.JEI.removeAndHide(<cyclicmagic:heart_food>);
mods.jei.JEI.removeAndHide(<cyclicmagic:heart_toxic>);
//Removed Abyssalcrafts Cudgel from all loot tables. Its now craftable after reaching saturn and the abyssal wastelands
   recipes.remove(<abyssalcraft:cudgel>);
recipes.addShaped(<abyssalcraft:cudgel>, [[<extraplanets:tier6_items:5>,<extraplanets:tier6_items:5>,<extraplanets:tier6_items:5>], [null, <extraplanets:tier6_items:5>,null], [null,<abyssalcraft:dreadiumingot>,null]]);
//Abyssalcrafts Katana now craftable, after reaching jupiter
   recipes.remove(<abyssalcraft:dreadblade>);
recipes.addShaped(<abyssalcraft:dreadblade>, [[<abyssalcraft:crystal:14>,<extraplanets:tier5_items:5>,null], [<abyssalcraft:crystal:14>, <extraplanets:tier5_items:5>,null], [<abyssalcraft:crystal:14>,<extraplanets:tier5_items:5>,null]]);
//Changed recipes for bags and portable chests
//Handy bag large(after mars)
   recipes.remove(<enderutilities:handybag:1>);
recipes.addShaped(<enderutilities:handybag:1>, [[<enderutilities:enderpart:21>,<galacticraftplanets:item_basic_mars:2>,<enderutilities:enderpart:21>], [<enderutilities:enderpart:2>, <minecraft:ender_chest>,<enderutilities:enderpart:2>], [<minecraft:leather>,<enderutilities:enderpart:2>,<minecraft:leather>]]);
//handy bag normal(after moon)
   recipes.remove(<enderutilities:handybag>);
recipes.addShaped(<enderutilities:handybag>, [[<enderutilities:enderpart:21>,<galacticraftcore:basic_block_moon:5>,<enderutilities:enderpart:21>], [<enderutilities:enderpart:1>, <ore:chest>,<enderutilities:enderpart:1>], [<minecraft:leather>,<enderutilities:enderpart:1>,<minecraft:leather>]]);
//Storage bag, cyclic(after moon)
   recipes.remove(<cyclicmagic:storage_bag>);
recipes.addShaped(<cyclicmagic:storage_bag>, [[<minecraft:leather>,<galacticraftcore:basic_block_moon:5>,<minecraft:leather>], [<minecraft:leather>, <minecraft:gold_ingot>,<minecraft:leather>], [<minecraft:leather>,<minecraft:redstone>,<minecraft:leather>]]);
//Shulker boxes (after moon)
   recipes.remove(<minecraft:purple_shulker_box>);
recipes.addShaped(<minecraft:purple_shulker_box>, [[null,<galacticraftcore:basic_block_moon:5>,null], [null, <ore:chest>,null], [null,<minecraft:shulker_shell>,null]]);
//personal chest, mekanism(after ender dragon)
   recipes.remove(<mekanism:machineblock:13>);
recipes.addShaped(<mekanism:machineblock:13>, [[<ore:ingotSteel>,<quark:biotite>,<ore:ingotSteel>], [<ore:chest>, <mekanism:controlcircuit>,<ore:chest>], [<ore:ingotSteel>,<ore:ingotSteel>,<ore:ingotSteel>]]);
//Bag of holding,extra utilities(after ender dragon)
   recipes.remove(<extrautils2:bagofholding>);
recipes.addShaped(<extrautils2:bagofholding>, [[<minecraft:gold_ingot>,<quark:biotite>,<minecraft:gold_ingot>], [<ore:chest>, <extrautils2:decorativesolidwood:1>,<ore:chest>], [<minecraft:gold_ingot>,<minecraft:gold_ingot>,<minecraft:gold_ingot>]]);
//resonant satchel, TE
   recipes.remove(<thermalexpansion:satchel:4>);
recipes.addShaped(<thermalexpansion:satchel:4>, [[null,<quark:biotite>,null], [<thermalfoundation:material:167>, <thermalexpansion:satchel:3>,<thermalfoundation:material:167>], [<thermalfoundation:material:229>,null,<thermalfoundation:material:229>]]);
//Diamond and emerald dank null(after ender dragon)
   recipes.remove(<danknull:dank_null_4>);
recipes.addShaped(<danknull:dank_null_4>, [[null,<danknull:dank_null_panel_4>,null], [<danknull:dank_null_panel_4>, <quark:biotite>,<danknull:dank_null_panel_4>], [null,<danknull:dank_null_panel_4>,null]]);
   recipes.remove(<danknull:dank_null_5>);
recipes.addShaped(<danknull:dank_null_5>, [[null,<danknull:dank_null_panel_5>,null], [<danknull:dank_null_panel_5>, <quark:biotite>,<danknull:dank_null_panel_5>], [null,<danknull:dank_null_panel_5>,null]]);
//gold dank null after betweenlands
   recipes.remove(<danknull:dank_null_3>);
recipes.addShaped(<danknull:dank_null_3>, [[null,<danknull:dank_null_panel_3>,null], [<danknull:dank_null_panel_3>, <thebetweenlands:octine_ingot>,<danknull:dank_null_panel_3>], [null,<danknull:dank_null_panel_3>,null]]);
//Signalum Satechel from thermal expansion after betweenlands
   recipes.remove(<thermalexpansion:satchel:3>);
recipes.addShaped(<thermalexpansion:satchel:3>, [[null,<thebetweenlands:octine_ingot>,null], [<thermalfoundation:material:165>, <thermalexpansion:satchel:2>,<thermalfoundation:material:165>], [<thermalfoundation:material:225>,null,<thermalfoundation:material:225>]]);
//white dank null needs steel
   recipes.remove(<danknull:dank_null_2>);
recipes.addShaped(<danknull:dank_null_2>, [[null,<danknull:dank_null_panel_2>,null], [<danknull:dank_null_panel_2>, <ore:ingotSteel>,<danknull:dank_null_panel_2>], [null,<danknull:dank_null_panel_2>,null]]);
//hardened satchel now earlier with gold instead of invar
   recipes.remove(<thermalexpansion:satchel:1>);
recipes.addShaped(<thermalexpansion:satchel:1>, [[null,<thermalfoundation:material:193>,null], [<minecraft:gold_ingot>, <thermalexpansion:satchel>,<minecraft:gold_ingot>], [<thermalfoundation:material:193>,null,<thermalfoundation:material:193>]]);
//Ender utilities ender chests
   recipes.remove(<enderutilities:storage_0:3>);
recipes.addShaped(<enderutilities:storage_0:3>, [[null,<galacticraftcore:basic_block_moon:5>,null], [<enderutilities:enderpart>, <ore:chest>,<enderutilities:enderpart>], [<minecraft:piston>,<enderutilities:enderpart:10>,<minecraft:piston>]]);
   recipes.remove(<enderutilities:storage_0:4>);
recipes.addShaped(<enderutilities:storage_0:4>, [[<enderutilities:enderpart>,<galacticraftplanets:item_basic_mars:2>,<enderutilities:enderpart>], [<enderutilities:enderpart>, <ore:chest>,<enderutilities:enderpart>], [<minecraft:piston>,<enderutilities:enderpart:10>,<minecraft:piston>]]);
   recipes.remove(<enderutilities:storage_0:5>);
recipes.addShaped(<enderutilities:storage_0:5>, [[<enderutilities:enderpart:1>,<extraplanets:tier4_items:5>,<enderutilities:enderpart:1>], [<enderutilities:enderpart:1>, <ore:chest>,<enderutilities:enderpart:1>], [<minecraft:piston>,<enderutilities:enderpart:10>,<minecraft:piston>]]);
   recipes.remove(<enderutilities:storage_0:6>);
recipes.addShaped(<enderutilities:storage_0:6>, [[null,<extraplanets:tier6_items:5>,null], [<enderutilities:enderpart>, <enderutilities:storage_0:5>,<enderutilities:enderpart>], [<enderutilities:enderpart>,<enderutilities:storage_0:5>,<enderutilities:enderpart>]]);
//sack of holding
   recipes.remove(<cyclicmagic:chest_sack_empty>);
recipes.addShaped(<cyclicmagic:chest_sack_empty>, [[<thebetweenlands:items_misc:11>,<minecraft:string>,<thebetweenlands:items_misc:11>], [<minecraft:leather>, <ore:slimeball>,<minecraft:leather>], [<minecraft:leather>,<minecraft:leather>,<minecraft:leather>]]);
//mekanism cardboard box
   recipes.remove(<mekanism:cardboardbox>);
recipes.addShaped(<mekanism:cardboardbox>, [[<ore:dustWood>,<ore:dustWood>,<thebetweenlands:items_misc:11>], [<ore:dustWood>, <ore:dustWood>,null], [null,null,null]]);

//1.65
//Mekanism Robit needs now an iron chest instead of the personal chest, which is available after ender dragon, but the digital miner, which needs the robit, should be available before ender dragon.
   recipes.remove(<mekanism:robit>);
recipes.addShaped(<mekanism:robit>, [[null,<ore:ingotSteel>,null], [<mekanism:energytablet>, <mekanism:atomicalloy>,<mekanism:energytablet>], [<mekanism:ingot>,<ironchest:iron_chest>,<mekanism:ingot>]]);

